#
# Conditional build:
%bcond_without	clamav		# build without clamav / virusfilter
#
%ifarch x32
%undefine	with_clamav
%endif
Summary:	Modules for c-icap ICAP server
Name:		c-icap-modules
Version:	0.5.2
Release:	1
License:	BSD
Group:		Libraries
Group:		Networking/Daemons
Source0:	http://downloads.sourceforge.net/c-icap/c_icap_modules-%{version}.tar.gz
# Source0-md5:	465bb8551bb6039b67b3f785c6d88ee4
Patch0:		%{name}-build.patch
Patch1:		clamav0.101.patch
URL:		http://c-icap.sourceforge.net/
BuildRequires:	bzip2-devel
BuildRequires:	c-icap-devel
%{?with_clamav:BuildRequires:	clamav-devel}
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Modules for c-icap ICAP server

%package -n c-icap-srv_clamav
Summary:	ClamAV service for c-icap
Group:		Development/Libraries
Group:		Networking/Daemons
Requires:	c-icap

%description -n c-icap-srv_clamav
ClamAV service for c-icap.

%package -n c-icap-srv_url_check
Summary:	URL check service for c-icap
Group:		Development/Libraries
Group:		Networking/Daemons
Requires:	c-icap

%description -n c-icap-srv_url_check
URL check service for c-icap.

%package -n c-icap-srv_content_filtering
Summary:	Content filtering service for c-icap
Group:		Libraries
Group:		Networking/Daemons
Requires:	c-icap

%description -n c-icap-srv_content_filtering
Content filtering service for c-icap.

%prep
%setup -q -n c_icap_modules-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
export CFLAGS="%{rpmcflags} -I/usr/include/clamav"
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/c-icap
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Not installed by upstream
cp -a services/content_filtering/srv_content_filtering.conf.default \
	$RPM_BUILD_ROOT%{_sysconfdir}/c-icap/srv_content_filtering.conf

%{__rm} $RPM_BUILD_ROOT%{_libdir}/c_icap/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with clamav}
%files -n c-icap-srv_clamav
%defattr(644,root,root,755)
%attr(640,root,c-icap) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/c-icap/clamav_mod.conf
%attr(640,root,c-icap) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/c-icap/clamd_mod.conf
%attr(640,root,c-icap) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/c-icap/virus_scan.conf
%{_sysconfdir}/c-icap/clamav_mod.conf.default
%{_sysconfdir}/c-icap/clamd_mod.conf.default
%{_sysconfdir}/c-icap/virus_scan.conf.default
%attr(755,root,root) %{_libdir}/c_icap/clamav_mod.so
%attr(755,root,root) %{_libdir}/c_icap/clamd_mod.so
%attr(755,root,root) %{_libdir}/c_icap/virus_scan.so
%{_datadir}/c_icap/templates/virus_scan
%endif

%files -n c-icap-srv_url_check
%defattr(644,root,root,755)
%attr(640,root,c-icap) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/c-icap/srv_url_check.conf
%{_sysconfdir}/c-icap/srv_url_check.conf.default
%attr(755,root,root) %{_libdir}/c_icap/srv_url_check.so
%{_datadir}/c_icap/templates/srv_url_check
%{_bindir}/c-icap-mods-sguardDB
%{_mandir}/man8/c-icap-mods-sguardDB.8*

%files -n c-icap-srv_content_filtering
%defattr(644,root,root,755)
%attr(640,root,c-icap) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/c-icap/srv_content_filtering.conf
%{_sysconfdir}/c-icap/srv_content_filtering.conf.default
%attr(755,root,root) %{_libdir}/c_icap/srv_content_filtering.so
%{_datadir}/c_icap/templates/srv_content_filtering
%changelog
* Thu Dec 13 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/c-icap-modules.git;a=log;h=master

* Thu Dec 13 2018 Jan Rękorajski <baggins@pld-linux.org> 3b3f2bb
- fix building with clamav 0.101

* Thu Dec 13 2018 Jan Rękorajski <baggins@pld-linux.org> 50955c4
- up to 0.5.2

* Thu May 11 2017 Jan Rękorajski <baggins@pld-linux.org> 0708b03
- rel 2

* Thu May 11 2017 Jan Rękorajski <baggins@pld-linux.org> 805671b
- disable clamav support on x32

* Sun Apr 16 2017 Jan Rękorajski <baggins@pld-linux.org> b8c0d96
- up to 0.4.5

* Mon Mar 21 2011 hawk <hawk@pld-linux.org> 273e94e
- autoconf is enough
- no libs here, drop ldconfig

* Mon Mar 21 2011 hawk <hawk@pld-linux.org> 167bd90
- attrs, %config(noreplace) and %verify(not md5 mtime size) for *.conf files

* Mon Mar 21 2011 hawk <hawk@pld-linux.org> 0eb38c0
- cleanup, fixed changelog

* Mon Mar 21 2011 hawk <hawk@pld-linux.org> 5d572ce
- build fix

* Mon Mar 21 2011 hawk <hawk@pld-linux.org> 029c6e4
- new spec, modules for c-icap ICAP server

